# Using secondary display

<!-- Table of contents -->
<details>
  <summary markdown="span">
    <b>Contents</b>
  </summary>

  [[_TOC_]]
</details>

**Date:** 2024-08-28

## General notes <a name="chapter__en_general_notes"></a>

The information in this document is provided as is and no guarantee or warranty
is given that the information is fit for any particular purpose. You may not use,
download, upload, copy, print, display, perform, reproduce, publish, license, post,
transmit, or distribute any information from this document in whole or in part
without the express written authorization of ELCOM, spoločnosť s ručením obmedzeným,
Prešov (“COMPANY”). COMPANY reserves the right to change this document at any time,
at its sole discretion, without previous notice.\
COMPANY reserves the right to seek all remedies available by law and in equity
for any violation of these Terms. Any rights not expressly granted herein
are reserved. COMPANY reserves the right to release information to the proper authorities,
as a result of a violation of these Terms, or unlawful acts, if the information
is subpoenaed and/or if we deem it necessary and/or appropriate. COMPANY hereby
disclaims all warranties and conditions with regard to this document, including
all implied warranties and conditions of fitness for a particular purpose, title,
and non-infringement. The information published in this document could include
inaccuracies, errors, or omissions, that be technical or not. Changes are periodically
added to the document. COMPANY may, but is not obligated to, make improvements
and/or changes in the content described herein at any time. Further to what precedes,
COMPANY, its managers and its employees shall in no event be held liable for any
special, direct, indirect, or consequential damages or any damages whatsoever resulting
from technical problems incurred by an equipment such as a breakdown, loss of use, data,
or profits, whether in an action of equity, contract, negligence, or other tortuous
action, arising out of or in connection with the use of this document.
Likewise, COMPANY shall in no event be held liable in case of force majeure.

## About the Document <a name="chapter__en_about_doc"></a>

### History <a name="chapter__en_history"></a>

| Date       | Description                                   |
|------------|-----------------------------------------------|
| 2024-08-28 | Initial version                               |
|            |                                               |
|            |                                               |

## Introduction <a name="chapter__en_introduction"></a>

- Secondary display on Elcom Android devices can be used to displaying simple information
  such as the prices of goods, payments, advertising and so on to customers
- Document describes basic specifications and using of secondary display by Android application developers

## Secondary display basic specifications <a name="chapter__en_secondary_display_specs"></a>

- Model
    - HTG16032G-31W-22C05-V02
- Producer
    - HOTHMI
- Panel size
    - 3.0"
- Viewing area size
    - 83 mm x 21.2 mm (W x H)
- Active area size
    - 75.16 mm x 15 mm (W x H)
- Resolution
    - 160 x 32 (W x H)

## Creating Android applications with secondary display support <a name="chapter__en_create_android_apps_with_secondary_display_support"></a>

- To control the secondary display, use `ASD_lib` (Android Secondary Display library)
  can be downloaded:
    - [https://www.elcom.eu/developer-asd-lib](https://www.elcom.eu/developer-asd-lib)

## Secondary display backlight control <a name="chapter__en_secondary_display_backlight_control"></a>

- The backlight of the secondary display is controlled exclusively by the operating system:
    - turns on whenever the primary display of the Android device is turned on
    - turns off whenever the primary display is turned off
